%define build_plf	0

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

%define major     1
%define libname   %mklibname %{name} %{major}
%define libnameatomic   %mklibname atomicparsley %{major}
%define develname %mklibname %{name} -d
%define develnameatomic %mklibname atomicparsley -d

Name:		gtkpod
Summary:	GTK interface to iPod
Version:	2.1.2
Release:	1
Source0:	http://prdownloads.sourceforge.net/gtkpod/%{name}-%version.tar.gz
Patch2:		gtkpod-2.1.0-pref.patch
URL:		http://gtkpod.sourceforge.net/
License:	GPLv2+
Group:		Communications
BuildRequires:	libid3tag-devel
BuildRequires:	libmp4v2-devel
BuildRequires:	libgpod-devel >= 0.7.0
BuildRequires:	libvorbis-devel
BuildRequires:	libflac-devel
BuildRequires:	glib2-devel >= 2.15
BuildRequires:	gtk+3-devel
BuildRequires:	libcurl-devel
BuildRequires:	flex
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:	anjuta-devel
BuildRequires:	gdl-devel
BuildRequires:	webkitgtk3-devel
BuildRequires:	gstreamer0.10-devel

%if %{build_plf}
BuildRequires:	libfaad2-devel
Requires:	faad2
%endif

Suggests:	%mklibname mp4v2_ 1

%description
gtkpod is a platform independent GUI for Apple's iPod using GTK2. It allows
you to upload songs and playlists to your iPod. It supports ID3 tag editing,
multiple charsets for ID3 tags, detects duplicate songs, allows offline
modification of the database with later synchronisation, and more.

gtkpod allows you to
    * Read your existing iTunesDB (i.e. import the existing contents of
      your iPod).
    * Add mp3 files to the iPod. You can choose the charset the ID3 tags
      are encoded in from within gtkpod. The default is the charset
      currently used by your locale setting.
    * When adding songs, gtkpod detects duplicates (opt).
    * Remove songs from the iPod.
    * Create and modify playlists.
    * Modify ID3 tags -- changes are also updated in the original file (opt)
    * Write the updated iTunesDB and added songs to your iPod.
    * Work offline and synchronize your new playlists / songs with the iPod
      at a later time.
%if %{build_plf}
This package is in "Tainted" as it requires package from "Tainted".
%endif

%package -n %{libname}
Summary:	Library package for %{name}
Group:		Communications

%description -n %{libname}
Library package for %{name}.


%package -n %{libnameatomic}
Summary:	Library package for %{name}
Group:		Communications

%description -n %{libnameatomic}
Library package for %{name}.


%package -n %{develnameatomic}
Summary:	Development files for %{name}
Group:		Communications
Provides:	gtkpod-atomic-devel
Requires:	%{libname} = %{version}-%{release}

%description -n %{develnameatomic}
Development files for %{name}, you need this package if you want to compile
applications against %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Communications
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Development files for %{name}, you need this package if you want to compile
applications against %{name}.

%prep
%setup -q
%patch2 -p1 -b .pref
sed -i -e '/^dist_profiles_DATA/s:=.*:=:' plugins/sjcd/data/Makefile.in || die

%build
autoreconf -vfi
export GST_INSPECT=true
%configure2_5x \
%if !%{build_plf}
	--without-faad \
%endif
	--disable-static
%make LIBS="$LIBS -lm"

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

desktop-file-install --vendor="" \
  --add-mime-type="x-content/audio-player" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%files -f %{name}.lang
%doc README AUTHORS ChangeLog
%{_datadir}/glib-2.0/schemas/*.xml
%{_bindir}/%{name}
%{_libdir}/%{name}/*.plugin
%{_libdir}/%{name}/*.so
%{_datadir}/%{name}
%{_datadir}/applications/gtkpod.desktop
%{_datadir}/icons/hicolor/*/apps/gtkpod.*
%{_mandir}/man1/gtkpod.1*

%files -n %{libname}
%{_libdir}/libgtkpod.so.%{major}*

%files -n %{libnameatomic}
%{_libdir}/libatomicparsley.so.0*

%files -n %{develname}
%{_includedir}/gtkpod/
%{_libdir}/libgtkpod.so
%{_libdir}/pkgconfig/*.pc

%files -n %{develnameatomic}
%{_libdir}/libatomicparsley.so


%changelog
* Wed Jun 20 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.1.2-1
+ Revision: 806482
- version update 2.1.2

* Mon Jun 20 2011 Funda Wang <fwang@mandriva.org> 2.0.2-3
+ Revision: 686239
- rebuild
- rebuild for new webkit

* Wed Jun 15 2011 Götz Waschk <waschk@mandriva.org> 2.0.2-2
+ Revision: 685350
- add patch to fix m4a plugin build
- fix linking
- drop patch 0

* Wed Jun 15 2011 Götz Waschk <waschk@mandriva.org> 2.0.2-1
+ Revision: 685286
- new version

* Sat May 14 2011 Götz Waschk <waschk@mandriva.org> 2.0.1-1
+ Revision: 674705
- new version
- drop patch 6
- fix linkin

* Thu Apr 14 2011 Götz Waschk <waschk@mandriva.org> 2.0.0-3
+ Revision: 652914
- enable m4a plugin
- suggest faad for conversion
- fix build with current gtk
- spec cleanup
- support building the m4a plugin
- fix anjuta dep

* Sun Mar 27 2011 Götz Waschk <waschk@mandriva.org> 2.0.0-1
+ Revision: 648619
- new version
- update build deps
- add library package
- update file list
- fix format strings
- drop patch 3
- rediff patch 1

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 568910
- new version
- update build deps

* Mon Mar 22 2010 Götz Waschk <waschk@mandriva.org> 0.99.16-1mdv2010.1
+ Revision: 526304
- new version

* Sun Mar 07 2010 Götz Waschk <waschk@mandriva.org> 0.99.16-0.rc1.1mdv2010.1
+ Revision: 515564
- new prerelease
- drop patches 0,2
- update build deps

* Thu Dec 03 2009 Götz Waschk <waschk@mandriva.org> 0.99.15-0.20091124.1mdv2010.1
+ Revision: 472823
- new git snapshot
- update build deps
- fix quoting in sync scripts

* Thu Oct 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.99.15-0.r2382.2mdv2010.0
+ Revision: 455851
- rebuild for new curl SSL backend

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.99.15-0.r2382.1mdv2010.0
+ Revision: 421422
- new snapshot
- patch for new tomboy notes directory

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 0.99.15-0.r2378.1mdv2010.0
+ Revision: 408914
- new snapshot
- rediff 2
- remove unneeded build dep

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 0.99.15-0.r2371.1mdv2010.0
+ Revision: 395454
- new snapshot
- drop patch 4
- support libmp4v2 1.9.0
- suggest libmp4v2

* Thu May 28 2009 Funda Wang <fwang@mandriva.org> 0.99.14-2mdv2010.0
+ Revision: 380327
- build with newer mp4v2

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 0.99.14-1mdv2009.1
+ Revision: 331115
- new version
- update patches 0,1
- drop patch 4
- bump libgpod dep
- update file list

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 0.99.12-5mdv2009.1
+ Revision: 328564
- fix build deps
- fix format strings
- fix build with new libmp4v2
- update license

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.99.12-4mdv2009.0
+ Revision: 266994
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Apr 14 2008 Götz Waschk <waschk@mandriva.org> 0.99.12-3mdv2009.0
+ Revision: 192830
- rebuild with mp4 support

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 0.99.12-2mdv2008.1
+ Revision: 180318
- add support for autostart on iPod connect from nautilus

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 0.99.12-1mdv2008.1
+ Revision: 132034
- new version
- drop patches 0,2,4
- update patch 3
- bump deps

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-5mdv2008.1
+ Revision: 108089
- rebuild for new libgpod

* Sun Nov 04 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-4mdv2008.1
+ Revision: 105637
- fix desktop entry
- fix build with new mpeg4ip
- fix evolution path

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-3mdv2008.0
+ Revision: 50514
- really fix sync-evolution
- update deps

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-2mdv2008.0
+ Revision: 50501
- fix evolution script to work on x86_64 as well

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-1mdv2008.0
+ Revision: 50475
- new version
- update patch 3
- use upstream desktop file
- drop legacy menu

* Thu Jul 05 2007 Götz Waschk <waschk@mandriva.org> 0.99.9-0.20070619.2mdv2008.0
+ Revision: 48641
- rediff patches 0,3 for new evolution

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.99.9-0.20070619.1mdv2008.0
+ Revision: 41374
- new version
- update buildrequires

